## edu.cwru.SimpleRTS.util
Class TypeLoader

    java.lang.Object
      edu.cwru.SimpleRTS.util.TypeLoader

    public final class TypeLoader

extends java.lang.Object

Method Summary
`static java.util.List<Template>` `loadFromFile(java.lang.String filename, int player)`
`static java.util.List<UnitTemplate>` `loadUnitsFromFile(java.lang.String filename, int player)`
`static java.util.List<UpgradeTemplate>` `loadUpgradesFromFile(java.lang.String filename, int player)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### loadFromFile

    public static java.util.List<Template> loadFromFile(java.lang.String filename,
                                                        int player)
                                                 throws java.io.FileNotFoundException,
                                                        JSONException

  Throws:
    `java.io.FileNotFoundException`
    `JSONException`

### loadUpgradesFromFile

    public static java.util.List<UpgradeTemplate> loadUpgradesFromFile(java.lang.String filename,
                                                                       int player)
                                                                throws java.io.FileNotFoundException,
                                                                       JSONException

  Throws:
    `java.io.FileNotFoundException`
    `JSONException`

### loadUnitsFromFile

    public static java.util.List<UnitTemplate> loadUnitsFromFile(java.lang.String filename,
                                                                 int player)
                                                          throws java.io.FileNotFoundException,
                                                                 JSONException

  Throws:
    `java.io.FileNotFoundException`
    `JSONException`